Bug 9166 - OPAC needs configuration file for datepicker
Summary: OPAC needs configuration file for datepicker
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL: /cgi-bin/koha/opac-reserve.pl
Keywords:
Depends on:
Blocks: 7261
  Show dependency treegraph
 
Reported: 2012-11-29 14:47 UTC by Owen Leonard
Modified: 2014-12-07 20:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9166 - OPAC needs configuration file for datepicker (6.84 KB, patch)
2012-11-29 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9166 - OPAC needs configuration file for datepicker (6.86 KB, patch)
2012-12-03 15:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9166 - OPAC needs configuration file for datepicker (6.92 KB, patch)
2012-12-11 19:42 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 9166 [Revised] OPAC needs configuration file for datepicker (7.73 KB, patch)
2012-12-12 19:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9166 [Revised] OPAC needs configuration file for datepicker (7.81 KB, patch)
2012-12-13 14:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9166 [Revised] OPAC needs configuration file for datepicker (7.86 KB, patch)
2012-12-17 17:34 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-11-29 14:47:05 UTC
In the staff client we have a configuration file for the datepicker which not only lets us load defaults for all instances but also includes the translated text for localization. The OPAC needs this too.
Comment 1 Owen Leonard 2012-11-29 14:47:55 UTC
This bug blocks Bug 7261 because it is through the configuration file that the CalendarFirstDayOfWeek preference is applied.
Comment 2 Owen Leonard 2012-11-29 14:58:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-12-03 15:10:34 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2012-12-11 19:42:29 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2012-12-11 19:43:07 UTC
QA comment:
 1- opac-user.tt also has a date picker (to suspend a placed hold). Shouldn't we update this page too ?
 2- passes koha-qa.pl

If answer to Q1 is "no", owen, you can pass QA, it work well & does the job. If the answer to Q1 is "yes", owen, a follow-up is welcomed ;-)
Comment 6 Owen Leonard 2012-12-12 19:24:07 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2012-12-13 14:15:11 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2012-12-17 17:34:48 UTC
Created attachment 14168 [details] [review]
Bug 9166 [Revised] OPAC needs configuration file for datepicker

This patch adds a configuration include file for the datepicker.
This file makes redundant the datepicker initialization in
js/script.js, so that section is removed.

This change should enable two things: the CalendarFirstDayOfWeek
preference should now work in the OPAC, and the calendar should
now use the current selected language.

To test, try the calendar widget when placing a hold in the OPAC.
The CalendarFirstDayOfWeek preference should be respected for
Monday and Sunday. Switch languages. The calendar interface labels
should reflect the current chosen language.

Revision adds the configuration include to opac-user as well
(required by the suspend holds feature).

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
the datepicker plugin works for opac-reserve and opac-user

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 9 Jared Camins-Esakov 2012-12-20 00:38:49 UTC
This patch has been pushed to master.
Comment 10 Frédéric Demians 2013-02-26 18:08:03 UTC
Could this patch been pushed in 3.10? Thanks.
Comment 11 Chris Cormack 2013-04-20 11:07:23 UTC
Pushed to 3.10.x will be in 3.10.5